curl --request GET \
--url https://api.cadanapay.com/v1/businesses/{businessId}/kyb \
--header 'Authorization: Bearer <token>'{
"id": "d4475c70-d759-495e-a052-3e3a1cba1857",
"tenantKey": "cad62002887",
"entityName": "Airtel",
"entityType": "corporation",
"taxIdentificationNumber": "NN-528343998",
"incorporation": {
"date": "2025-01-01T00:00:00.000Z",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
}
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"email": "jsmith@example.com",
"websiteURL": "",
"natureOfBusiness": "Software Development",
"sizeOfCompany": "300-400",
"sourceOfFunds": "Personal Savings",
"status": "pending-review",
"annualRevenue": {
"currency": "USD",
"min": 100000,
"max": 1000000
},
"expectedMonthlyTransactionVolume": {
"currency": "USD",
"min": 50000,
"max": 80000
},
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"documents": {
"articlesOfIncorporation": [
"<string>"
],
"bankStatements": [
"<string>"
],
"proofOfAddress": [
"<string>"
],
"taxDocuments": [
"<string>"
]
},
"principals": [
{
"firstName": "John",
"lastName": "Doe",
"ownershipPercentage": 0.5,
"email": "jsmith@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"isExecutive": false,
"title": "",
"id": "f116c829-3c93-4d24-880d-3a00faf784a2",
"identifier": {
"type": "passport",
"value": "1234567890"
}
}
],
"requirements": {
"currentlyDue": [
"principals.0.phoneNumber.countryCode",
"phoneNumber.countryCode",
"principals.0.address.state",
"email",
"entityName"
],
"errors": [
{
"field": "entityName",
"reason": "Only english letters are allowed"
}
]
}
}Returns the business’s KYB details.
curl --request GET \
--url https://api.cadanapay.com/v1/businesses/{businessId}/kyb \
--header 'Authorization: Bearer <token>'{
"id": "d4475c70-d759-495e-a052-3e3a1cba1857",
"tenantKey": "cad62002887",
"entityName": "Airtel",
"entityType": "corporation",
"taxIdentificationNumber": "NN-528343998",
"incorporation": {
"date": "2025-01-01T00:00:00.000Z",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
}
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"email": "jsmith@example.com",
"websiteURL": "",
"natureOfBusiness": "Software Development",
"sizeOfCompany": "300-400",
"sourceOfFunds": "Personal Savings",
"status": "pending-review",
"annualRevenue": {
"currency": "USD",
"min": 100000,
"max": 1000000
},
"expectedMonthlyTransactionVolume": {
"currency": "USD",
"min": 50000,
"max": 80000
},
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"documents": {
"articlesOfIncorporation": [
"<string>"
],
"bankStatements": [
"<string>"
],
"proofOfAddress": [
"<string>"
],
"taxDocuments": [
"<string>"
]
},
"principals": [
{
"firstName": "John",
"lastName": "Doe",
"ownershipPercentage": 0.5,
"email": "jsmith@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"isExecutive": false,
"title": "",
"id": "f116c829-3c93-4d24-880d-3a00faf784a2",
"identifier": {
"type": "passport",
"value": "1234567890"
}
}
],
"requirements": {
"currentlyDue": [
"principals.0.phoneNumber.countryCode",
"phoneNumber.countryCode",
"principals.0.address.state",
"email",
"entityName"
],
"errors": [
{
"field": "entityName",
"reason": "Only english letters are allowed"
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the business
get KYB response
KYB record ID
"d4475c70-d759-495e-a052-3e3a1cba1857"
Tenant key
"cad62002887"
Business name
"Airtel"
Type of entity
corporation, c-corporation, s-corporation, partnership, sole proprietorship, limited liability company, non profit, other "corporation"
Tax identification number
"NN-528343998"
Incorporation details
Show child attributes
Person's phone number
Show child attributes
Business email address
Business website URL
""
Description of the primary business activities and industry
"Software Development"
Size of the company
"300-400"
Source of funds
"Personal Savings"
KYB status
initialized, needs-additional-info, pending-review, incomplete, complete "pending-review"
Annual revenue range
Show child attributes
Expected monthly transaction volume range
Show child attributes
Address
Show child attributes
Document file URLs
Show child attributes
Principals associated with the business
Show child attributes
KYB requirements and validation status
Show child attributes